Summary: A compact getty program for virtual consoles only
Name: mingetty
Version: 1.08
License: GPLv2+
Release: 5%{?dist}
Group: System Environment/Base
URL: http://sourceforge.net/projects/mingetty/
Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: mingetty-1.00-opt.patch
# Bug #640933
Patch1: mingetty-1.08-check_chroot_chdir_nice.patch
# Bug #640940
Patch2: mingetty-1.08-limit_tty_length.patch
# Bug #651955
Patch3: mingetty-1.08-Allow-login-name-up-to-LOGIN_NAME_MAX-length.patch
BuildRoot: %{_tmppath}/%{name}-root

%description
The mingetty program is a lightweight, minimalist getty program for
use only on virtual consoles.  Mingetty is not suitable for serial
lines (you should use the mgetty program in that case).

%prep
%setup -q
%patch0 -p1 -b .opt
%patch1 -p1 -b .chroot
%patch2 -p1 -b .tty_length
%patch3 -p1 -b .loginname_length

%build
make "RPM_OPTS=$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{sbin,%{_mandir}/man8}

install -m 0755 mingetty $RPM_BUILD_ROOT/sbin/
install -m 0644 mingetty.8 $RPM_BUILD_ROOT/%{_mandir}/man8/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
/sbin/mingetty
%{_mandir}/man8/mingetty.*


%changelog

